package com.rjconsultores.ventaboletos.enums;

import java.util.Arrays;
import java.util.List;

public enum TipoPassagemCores {
	
	VERDE("VERDE","/gui/img/tipo_passagem/verde.png"),
	VERDE_MUSGO("VERDE_MUSGO","/gui/img/tipo_passagem/verde_musgo.png"),
	LARANJA("LARANJA","/gui/img/tipo_passagem/laranja.png"),
	BEGE("BEGE","/gui/img/tipo_passagem/bege.png"),
	LILAS("LILAS","/gui/img/tipo_passagem/lilas.png"),
	MARROM("MARROM","/gui/img/tipo_passagem/marrom.png"),
	ROSA("ROSA","/gui/img/tipo_passagem/rosa.png"),
	ROSA_CHOQUE("ROSA_CHOQUE","/gui/img/tipo_passagem/rosa_c.png"),
	ROXO("ROXO","/gui/img/tipo_passagem/roxo.png"),
	AZUL("AZUL","/gui/img/tipo_passagem/azul.png"),
	AZUL_MARINHO("AZUL_MARINHO","/gui/img/tipo_passagem/azul_mar.png"),
	AZUL_PISCINA("AZUL_PISCINA","/gui/img/tipo_passagem/azul_p.png");
	
	private String descricao;
	private String url;
	
	private TipoPassagemCores(String descricao, String url) {
		this.descricao = descricao;
		this.url = url;
	}
	
	public static List<TipoPassagemCores> getLista() {
		return Arrays.asList(TipoPassagemCores.values());
	}

	@Override
	public String toString() {
		return descricao;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
}
